Package org.apache.commons.net.ftp

# Enum FTPCmd

java.lang.Object
java.lang.Enum<FTPCmd>
org.apache.commons.net.ftp.FTPCmd

All Implemented Interfaces:
  `Serializable`, `Comparable<FTPCmd>`

public enum FTPCmd extends Enum<FTPCmd>
Enumerates FTP commands.

Since:
  3.3

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABOR`
  FTP command ABOR.
  `ACCT`
  FTP command ACCT.
  `ALLO`
  FTP command ALLO.
  `APPE`
  FTP command APPE.
  `CDUP`
  FTP command CDUP.
  `CWD`
  FTP command CWD.
  `DELE`
  FTP command DELE.
  `EPRT`
  FTP command EPRT.
  `EPSV`
  FTP command EPSV.
  `FEAT`
  FTP command FEAT.
  `HELP`
  FTP command HELP.
  `LIST`
  FTP command LIST.
  `MDTM`
  FTP command MDTM.
  `MFMT`
  FTP command MFMT.
  `MKD`
  FTP command MKD.
  `MLSD`
  FTP command MLSD.
  `MLST`
  FTP command MLST.
  `MODE`
  FTP command MODE.
  `NLST`
  FTP command NLST.
  `NOOP`
  FTP command NOOP.
  `OPTS`
  FTP command OPTS.
  `PASS`
  FTP command PASS.
  `PASV`
  FTP command PASV.
  `PORT`
  FTP command PORT.
  `PWD`
  FTP command PWD.
  `QUIT`
  FTP command QUIT.
  `REIN`
  FTP command REIN.
  `REST`
  FTP command REST.
  `RETR`
  FTP command RETR.
  `RMD`
  FTP command RMD.
  `RNFR`
  FTP command RNFR.
  `RNTO`
  FTP command RNTO.
  `SITE`
  FTP command SITE.
  `SIZE`
  FTP command SIZE.
  `SMNT`
  FTP command SMNT.
  `STAT`
  FTP command STAT.
  `STOR`
  FTP command STOR.
  `STOU`
  FTP command STOU.
  `STRU`
  FTP command STRU.
  `SYST`
  FTP command SYST.
  `TYPE`
  FTP command TYPE.
  `USER`
  FTP command USER.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FTPCmd`
  `ABORT`
  Alias.
  `static final FTPCmd`
  `ACCOUNT`
  Alias.
  `static final FTPCmd`
  `ALLOCATE`
  Alias.
  `static final FTPCmd`
  `APPEND`
  Alias.
  `static final FTPCmd`
  `CHANGE_TO_PARENT_DIRECTORY`
  Alias.
  `static final FTPCmd`
  `CHANGE_WORKING_DIRECTORY`
  Alias.
  `static final FTPCmd`
  `DATA_PORT`
  Alias.
  `static final FTPCmd`
  `DELETE`
  Alias.
  `static final FTPCmd`
  `FEATURES`
  Alias.
  `static final FTPCmd`
  `FILE_STRUCTURE`
  Alias.
  `static final FTPCmd`
  `GET_MOD_TIME`
  Alias.
  `static final FTPCmd`
  `LOGOUT`
  Alias.
  `static final FTPCmd`
  `MAKE_DIRECTORY`
  Alias.
  `static final FTPCmd`
  `MOD_TIME`
  Alias.
  `static final FTPCmd`
  `NAME_LIST`
  Alias.
  `static final FTPCmd`
  `PASSIVE`
  Alias.
  `static final FTPCmd`
  `PASSWORD`
  Alias.
  `static final FTPCmd`
  `PRINT_WORKING_DIRECTORY`
  Alias.
  `static final FTPCmd`
  `REINITIALIZE`
  Alias.
  `static final FTPCmd`
  `REMOVE_DIRECTORY`
  Alias.
  `static final FTPCmd`
  `RENAME_FROM`
  Alias.
  `static final FTPCmd`
  `RENAME_TO`
  Alias.
  `static final FTPCmd`
  `REPRESENTATION_TYPE`
  Alias.
  `static final FTPCmd`
  `RESTART`
  Alias.
  `static final FTPCmd`
  `RETRIEVE`
  Alias.
  `static final FTPCmd`
  `SET_MOD_TIME`
  Alias.
  `static final FTPCmd`
  `SITE_PARAMETERS`
  Alias.
  `static final FTPCmd`
  `STATUS`
  Alias.
  `static final FTPCmd`
  `STORE`
  Alias.
  `static final FTPCmd`
  `STORE_UNIQUE`
  Alias.
  `static final FTPCmd`
  `STRUCTURE_MOUNT`
  Alias.
  `static final FTPCmd`
  `SYSTEM`
  Alias.
  `static final FTPCmd`
  `TRANSFER_MODE`
  Alias.
  `static final FTPCmd`
  `USERNAME`
  Alias.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCommand()`
  Retrieve the FTP protocol command string corresponding to a specified command code.
  `static FTPCmd`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FTPCmd[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ABOR

    public static final FTPCmd ABOR
    FTP command ABOR.

  - ### ACCT

    public static final FTPCmd ACCT
    FTP command ACCT.

  - ### ALLO

    public static final FTPCmd ALLO
    FTP command ALLO.

  - ### APPE

    public static final FTPCmd APPE
    FTP command APPE.

  - ### CDUP

    public static final FTPCmd CDUP
    FTP command CDUP.

  - ### CWD

    public static final FTPCmd CWD
    FTP command CWD.

  - ### DELE

    public static final FTPCmd DELE
    FTP command DELE.

  - ### EPRT

    public static final FTPCmd EPRT
    FTP command EPRT.

  - ### EPSV

    public static final FTPCmd EPSV
    FTP command EPSV.

  - ### FEAT

    public static final FTPCmd FEAT
    FTP command FEAT.

  - ### HELP

    public static final FTPCmd HELP
    FTP command HELP.

  - ### LIST

    public static final FTPCmd LIST
    FTP command LIST.

  - ### MDTM

    public static final FTPCmd MDTM
    FTP command MDTM.

  - ### MFMT

    public static final FTPCmd MFMT
    FTP command MFMT.

  - ### MKD

    public static final FTPCmd MKD
    FTP command MKD.

  - ### MLSD

    public static final FTPCmd MLSD
    FTP command MLSD.

  - ### MLST

    public static final FTPCmd MLST
    FTP command MLST.

  - ### MODE

    public static final FTPCmd MODE
    FTP command MODE.

  - ### NLST

    public static final FTPCmd NLST
    FTP command NLST.

  - ### NOOP

    public static final FTPCmd NOOP
    FTP command NOOP.

  - ### OPTS

    public static final FTPCmd OPTS
    FTP command OPTS.
    Since:
      3.12.0

  - ### PASS

    public static final FTPCmd PASS
    FTP command PASS.

  - ### PASV

    public static final FTPCmd PASV
    FTP command PASV.

  - ### PORT

    public static final FTPCmd PORT
    FTP command PORT.

  - ### PWD

    public static final FTPCmd PWD
    FTP command PWD.

  - ### QUIT

    public static final FTPCmd QUIT
    FTP command QUIT.

  - ### REIN

    public static final FTPCmd REIN
    FTP command REIN.

  - ### REST

    public static final FTPCmd REST
    FTP command REST.

  - ### RETR

    public static final FTPCmd RETR
    FTP command RETR.

  - ### RMD

    public static final FTPCmd RMD
    FTP command RMD.

  - ### RNFR

    public static final FTPCmd RNFR
    FTP command RNFR.

  - ### RNTO

    public static final FTPCmd RNTO
    FTP command RNTO.

  - ### SITE

    public static final FTPCmd SITE
    FTP command SITE.

  - ### SIZE

    public static final FTPCmd SIZE
    FTP command SIZE.
    Since:
      3.7

  - ### SMNT

    public static final FTPCmd SMNT
    FTP command SMNT.

  - ### STAT

    public static final FTPCmd STAT
    FTP command STAT.

  - ### STOR

    public static final FTPCmd STOR
    FTP command STOR.

  - ### STOU

    public static final FTPCmd STOU
    FTP command STOU.

  - ### STRU

    public static final FTPCmd STRU
    FTP command STRU.

  - ### SYST

    public static final FTPCmd SYST
    FTP command SYST.

  - ### TYPE

    public static final FTPCmd TYPE
    FTP command TYPE.

  - ### USER

    public static final FTPCmd USER
    FTP command USER.

- ## Field Details

  - ### ABORT

    public static final FTPCmd ABORT
    Alias.

  - ### ACCOUNT

    public static final FTPCmd ACCOUNT
    Alias.

  - ### ALLOCATE

    public static final FTPCmd ALLOCATE
    Alias.

  - ### APPEND

    public static final FTPCmd APPEND
    Alias.

  - ### CHANGE_TO_PARENT_DIRECTORY

    public static final FTPCmd CHANGE_TO_PARENT_DIRECTORY
    Alias.

  - ### CHANGE_WORKING_DIRECTORY

    public static final FTPCmd CHANGE_WORKING_DIRECTORY
    Alias.

  - ### DATA_PORT

    public static final FTPCmd DATA_PORT
    Alias.

  - ### DELETE

    public static final FTPCmd DELETE
    Alias.

  - ### FEATURES

    public static final FTPCmd FEATURES
    Alias.

  - ### FILE_STRUCTURE

    public static final FTPCmd FILE_STRUCTURE
    Alias.

  - ### GET_MOD_TIME

    public static final FTPCmd GET_MOD_TIME
    Alias.

  - ### LOGOUT

    public static final FTPCmd LOGOUT
    Alias.

  - ### MAKE_DIRECTORY

    public static final FTPCmd MAKE_DIRECTORY
    Alias.

  - ### MOD_TIME

    public static final FTPCmd MOD_TIME
    Alias.

  - ### NAME_LIST

    public static final FTPCmd NAME_LIST
    Alias.

  - ### PASSIVE

    public static final FTPCmd PASSIVE
    Alias.

  - ### PASSWORD

    public static final FTPCmd PASSWORD
    Alias.

  - ### PRINT_WORKING_DIRECTORY

    public static final FTPCmd PRINT_WORKING_DIRECTORY
    Alias.

  - ### REINITIALIZE

    public static final FTPCmd REINITIALIZE
    Alias.

  - ### REMOVE_DIRECTORY

    public static final FTPCmd REMOVE_DIRECTORY
    Alias.

  - ### RENAME_FROM

    public static final FTPCmd RENAME_FROM
    Alias.

  - ### RENAME_TO

    public static final FTPCmd RENAME_TO
    Alias.

  - ### REPRESENTATION_TYPE

    public static final FTPCmd REPRESENTATION_TYPE
    Alias.

  - ### RESTART

    public static final FTPCmd RESTART
    Alias.

  - ### RETRIEVE

    public static final FTPCmd RETRIEVE
    Alias.

  - ### SET_MOD_TIME

    public static final FTPCmd SET_MOD_TIME
    Alias.

  - ### SITE_PARAMETERS

    public static final FTPCmd SITE_PARAMETERS
    Alias.

  - ### STATUS

    public static final FTPCmd STATUS
    Alias.

  - ### STORE

    public static final FTPCmd STORE
    Alias.

  - ### STORE_UNIQUE

    public static final FTPCmd STORE_UNIQUE
    Alias.

  - ### STRUCTURE_MOUNT

    public static final FTPCmd STRUCTURE_MOUNT
    Alias.

  - ### SYSTEM

    public static final FTPCmd SYSTEM
    Alias.

  - ### TRANSFER_MODE

    public static final FTPCmd TRANSFER_MODE
    Alias.

  - ### USERNAME

    public static final FTPCmd USERNAME
    Alias.

- ## Method Details

  - ### values

    public static FTPCmd[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FTPCmd valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCommand

    public String getCommand()
    Retrieve the FTP protocol command string corresponding to a specified command code.
    Returns:
      The FTP protcol command string corresponding to a specified command code.